class KDEDesktopMimeType

# class KDEDesktopMimeType | Mimetype for a .desktop file Handles mount/umount icon, and user-defined properties. More...
Definition | `#include <kmimetype.h>`
Inherits | KMimeType [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum ServiceType { ST_MOUNT, ST_UNMOUNT, ST_USER_DEFINED }
- struct Service

#### Public Methods

- KDEDesktopMimeType ( KDesktopFile *config)
- KDEDesktopMimeType ( QDataStream& _str, int offset )
- virtual QString icon ( const QString& _url, bool _is_local ) const
- virtual QString icon ( const KURL& _url, bool _is_local ) const
- virtual QPixmap pixmap ( const KURL& _url, KIcon::Group _group, int _force_size = 0, int _state = 0, QString * _path = 0L ) const
- virtual QString comment ( const QString& _url, bool _is_local ) const
- virtual QString comment ( const KURL& _url, bool _is_local ) const

#### Public Static Methods

- static QValueList builtinServices ( const KURL& _url )
- static QValueList userDefinedServices ( const QString& path, bool bLocalFiles )
- static void executeService ( const QString& _path, KDEDesktopMimeType::Service& _service )
- static void executeService ( const KURL::List& urls, KDEDesktopMimeType::Service& service )
- static pid_t run ( const KURL& _url, bool _is_local )

#### Protected Methods

- virtual QPixmap pixmap (KIcon::Group a, int b, int c, QString *d) const
- virtual void virtual_hook ( int id, void* data )

#### Protected Static Methods

- static pid_t runFSDevice ( const KURL& _url, const KSimpleConfig &cfg )
- static pid_t runApplication ( const KURL& _url, const QString & _serviceFile )
- static pid_t runLink ( const KURL& _url, const KSimpleConfig &cfg )
- static pid_t runMimeType ( const KURL& _url, const KSimpleConfig &cfg )

## Detailed Description

enum ServiceType { ST_MOUNT, ST_UNMOUNT, ST_USER_DEFINED } | ### ServiceType

Service (struct) | ### Service

Structure representing a service, in the list of services returned by builtinServices and userDefinedServices

KDEDesktopMimeType ( KDesktopFile *config) | ### KDEDesktopMimeType

KDEDesktopMimeType ( QDataStream& _str, int offset ) | ### KDEDesktopMimeType

QString icon ( const QString& _url, bool _is_local ) | ### icon

[const virtual]

Reimplemented from KMimeType.

QString icon ( const KURL& _url, bool _is_local ) | ### icon

[const virtual]

Reimplemented from KMimeType.

QPixmap pixmap ( const KURL& _url, KIcon::Group _group, int _force_size = 0, int _state = 0, QString * _path = 0L ) | ### pixmap

[const virtual]

Reimplemented from KMimeType.

QString comment ( const QString& _url, bool _is_local ) | ### comment

[const virtual]

Reimplemented from KMimeType.

QString comment ( const KURL& _url, bool _is_local ) | ### comment

[const virtual]

Reimplemented from KMimeType.

QValueList builtinServices ( const KURL& _url ) | ### builtinServices

[static]

Returns: a list of services for the given .desktop file that are handled by kio itself. Namely mount/unmount for FSDevice files.

QValueList userDefinedServices ( const QString& path, bool bLocalFiles ) | ### userDefinedServices

[static]

Parameters:

path | the path to the desktop file describing the services
bLocalFiles | true if those services are to be applied to local files only (if false, services that don't have %u or %U in the Exec line won't be taken into account).

Returns: a list of services defined by the user as possible actions on the given .desktop file.

void executeService ( const QString& _path, KDEDesktopMimeType::Service& _service ) | ### executeService

[static]

Parameters:

_path | is the path of the desktop entry.

void executeService ( const KURL::List& urls, KDEDesktopMimeType::Service& service ) | ### executeService

[static]

Execute `service` on the list of `urls`

pid_t run ( const KURL& _url, bool _is_local ) | ### run

[static]

Invokes the default action for the desktop entry. If the desktop entry is not local, then only false is returned. Otherwise we would create a security problem. Only types Link and Mimetype could be followed.

Returns: true on success and false on failure.

See also: runURL

QPixmap pixmap (KIcon::Group a, int b, int c, QString *d) | ### pixmap

[protected const virtual]

Reimplemented from KMimeType.

pid_t runFSDevice ( const KURL& _url, const KSimpleConfig &cfg ) | ### runFSDevice

[protected static]

pid_t runApplication ( const KURL& _url, const QString & _serviceFile ) | ### runApplication

[protected static]

pid_t runLink ( const KURL& _url, const KSimpleConfig &cfg ) | ### runLink

[protected static]

pid_t runMimeType ( const KURL& _url, const KSimpleConfig &cfg ) | ### runMimeType

[protected static]

void virtual_hook ( int id, void* data ) | ### virtual_hook

[protected virtual]

Reimplemented from KMimeType.

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:36:57 2003, using kdoc 2.0a54.